package org.ts.ddcs.kafkaStreamHolder;

import lombok.Data;
import org.ts.ddcs.kafkaStream.KafkaStream;

/**
 * @author dylan
 */
@Data
public class KafkaStreamHolder {
    private static class InstanceHolder {
        static KafkaStreamHolder instance = new KafkaStreamHolder();
    }

    public static KafkaStreamHolder newInstance() {
        return KafkaStreamHolder.InstanceHolder.instance;
    }

    private KafkaStream kafkaStream;
}
